This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315575 - (CVE-2016-1959) CVE-2016-1959 Mozilla: Service Worker Manager out-of-bounds read in Service Worker Manager (MFSA 2016-22)
CVE-2016-1959 Mozilla: Service Worker Manager out-of-bounds read in Service W...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20160308,repor...
: Security
Depends On:
Blocks: 1313724
  Show dependency treegraph
 
Reported: 2016-03-08 01:10 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-09 04:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 03:36:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-03-08 01:10:06 EST
Security researcher Looben Yang reported a mechanism where the Clients API in Service Workers can be used to trigger an out-of-bounds read in ServiceWorkerManager. This results in a potentially exploitable crash. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-22.html


Acknowledgements:

Name: the Mozilla project
Upstream: Looben Yang

Statement:

This issue does not affect the version of firefox and thunderbird as shipped with Red Hat Enterprise Linux 5, 6 and 7.

Note You need to log in before you can comment on or make changes to this bug.